#
# spec file for package rubygem-responders
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-responders
Version:        2.1.0
Release:        6.3
%define mod_name responders
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://github.com/plataformatec/responders
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A set of Rails responders to dry up your application
License:        MIT
Group:          Development/Languages/Ruby

%description
A set of Rails responders to dry up your application.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Feb  6 2015 coolo@suse.com
- updated to version 2.1.0
  * No longer automatically set the responders generator as many projects may use this gem as a dependency. When upgrading, users will need to add `config.app_generators.scaffold_controller :responders_controller` to their application. The `responders:install` generator has been updated to automatically insert it in new applications
  [#]# 2.0.1
  * Require `rails/railtie` explicitly before using it
  * Require `action_controller` explicitly before using it
  * Remove unnecessary and limiting `resourceful?` check that required models to implement `to_#{format}` (such checks are responsibility of the rendering layer)
  [#]# 2.0.0
  * Import `respond_with` and class-level `respond_to` from Rails
  * Support only Rails ~> 4.2
  * `Responders::LocationResponder` is now included by the default responder (and therefore deprecated)
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Mon Jul 28 2014 coolo@suse.com
- updated to version 1.1.0
  * Support Rails 4.1.
  * Allow callable objects as the location.
* Mon Sep 23 2013 coolo@suse.com
- updated to version 1.0.0
  * Improve controller generator to work closer to the Rails 4 one, and make it
  compatible with strong parameters.
  * Drop support for Rails 3.1 and Ruby 1.8, keep support for Rails 3.2
  * Support for Rails 4.0 onward
  * Fix flash message on destroy failure. Fixes #61
* Mon Oct  1 2012 coolo@suse.com
- updated to version 0.9.3
  * Fix url generation for namespaced models
* Wed Aug  1 2012 coolo@suse.com
- updated to version 0.9.2
* Wed Jan 18 2012 mrueckert@suse.de
- initial package
